Package org.apache.tapestry5.internal.beanvalidator

## Class MessageInterpolatorImpl

- java.lang.Object
- - org.apache.tapestry5.internal.beanvalidator.MessageInterpolatorImpl

- All Implemented Interfaces:
    `MessageInterpolator`

      public class MessageInterpolatorImpl
      extends java.lang.Object
      implements MessageInterpolator

  The default message interpolation algorithm uses `Locale.getDefault()`. This behavior is not appropriate for Tapestry applications, thus we need a `Locale` aware message interpolator.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.validation.MessageInterpolator

      `MessageInterpolator.Context`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MessageInterpolatorImpl​(MessageInterpolator delegate, ThreadLocale threadLocale)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `interpolate​(java.lang.String messageTemplate, MessageInterpolator.Context context)` |
    `java.lang.String` | `interpolate​(java.lang.String messageTemplate, MessageInterpolator.Context context, java.util.Locale locale)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageInterpolatorImpl

          public MessageInterpolatorImpl​(MessageInterpolator delegate,
                                         ThreadLocale threadLocale)

  - ### Method Detail

    - #### interpolate

          public java.lang.String interpolate​(java.lang.String messageTemplate,
                                              MessageInterpolator.Context context)

      Specified by:
        `interpolate` in interface `MessageInterpolator`
      See Also:
        `MessageInterpolator.interpolate(java.lang.String, javax.validation.MessageInterpolator.Context)`

    - #### interpolate

          public java.lang.String interpolate​(java.lang.String messageTemplate,
                                              MessageInterpolator.Context context,
                                              java.util.Locale locale)

      Specified by:
        `interpolate` in interface `MessageInterpolator`
      See Also:
        `MessageInterpolator.interpolate(java.lang.String, javax.validation.MessageInterpolator.Context, java.util.Locale)`